Package org.globus.axis.transport

# Class HTTPSTransport

java.lang.Object
org.apache.axis.client.Transport
org.globus.axis.transport.GSIHTTPTransport
org.globus.axis.transport.HTTPSTransport

All Implemented Interfaces:
  `GSIConstants`, `GSIConstants`

public class HTTPSTransport extends GSIHTTPTransport
Extends Transport by implementing the setupMessageContext function to set HTTP-specific message context fields and transport chains. May not even be necessary if we arrange things differently somehow. Can hold state relating to URL properties.
This code is based on Axis HTTPTransport.java code.

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.globus.gsi.GSIConstants

`GSIConstants.CertificateType, GSIConstants.DelegationType`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_TRANSPORT_NAME`

### Fields inherited from class org.globus.axis.transport.GSIHTTPTransport

`URL`

### Fields inherited from class org.apache.axis.client.Transport

`transportName, url`

### Fields inherited from interface org.globus.axis.gsi.GSIConstants

`GSI_ANONYMOUS, GSI_AUTH_USERNAME, GSI_AUTHORIZATION, GSI_CONTEXT, GSI_CREDENTIALS, GSI_MODE, GSI_MODE_FULL_DELEG, GSI_MODE_LIMITED_DELEG, GSI_MODE_NO_DELEG, GSI_MODE_SSL, GSI_USER_DN`

### Fields inherited from interface org.globus.gsi.GSIConstants

`AUTHZ_REQUIRED_WITH_DELEGATION, CA, DELEGATION_CHAR, DELEGATION_FULL, DELEGATION_LIMITED, DELEGATION_NONE, DELEGATION_TYPE_FULL, DELEGATION_TYPE_LIMITED, EEC, ENCRYPTION, GLOBUS_CIPHER, GSI_2_LIMITED_PROXY, GSI_2_PROXY, GSI_3_IMPERSONATION_PROXY, GSI_3_INDEPENDENT_PROXY, GSI_3_LIMITED_PROXY, GSI_3_RESTRICTED_PROXY, GSI_4_IMPERSONATION_PROXY, GSI_4_INDEPENDENT_PROXY, GSI_4_LIMITED_PROXY, GSI_4_RESTRICTED_PROXY, GSI_TRANSPORT, MODE_GSI, MODE_SSL, NONE, SIGNATURE, TRUSTED_CERTIFICATES`

## Constructor Summary

Constructors
Constructor
Description
`HTTPSTransport()`
`HTTPSTransport(String url, String action)`
helper constructor

## Method Summary

### Methods inherited from class org.globus.axis.transport.GSIHTTPTransport

`processReturnedMessageContext, setupMessageContextImpl`

### Methods inherited from class org.apache.axis.client.Transport

`getTransportName, getUrl, setTransportName, setupMessageContext, setUrl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_TRANSPORT_NAME

public static final String DEFAULT_TRANSPORT_NAME

See Also:
  - Constant Field Values

## Constructor Details

### HTTPSTransport

public HTTPSTransport()

### HTTPSTransport

public HTTPSTransport(String url, String action)
helper constructor